library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity tb is
end;


architecture tb of tb is
   
   component dffd is
      port
      (
         Y		 : INOUT STD_LOGIC; --  Y  : INOUT STD_LOGIC; geht nicht
         X		 : INOUT STD_LOGIC; --  X  : INOUT STD_LOGIC;
         X0		 : INOUT STD_LOGIC; -- X0   : INOUT STD_LOGIC;
         X1		 : INOUT STD_LOGIC; -- X1   : INOUT STD_LOGIC;
         Y0		 : INOUT STD_LOGIC; -- Y0   : INOUT STD_LOGIC;
         Y1     : INOUT STD_LOGIC; -- Y1   : INOUT STD_LOGIC;
         ENABLE : IN STD_LOGIC
      );
   end component;
   
   signal X      : std_logic;
   signal X0     : std_logic;
   signal X1     : std_logic;
   signal Y      : std_logic;
   signal Y0     : std_logic;
   signal Y1     : std_logic;
   signal ENABLE : std_logic;


begin
   
   process
   begin
      X      <= 'Z';
      X0     <= 'Z';
      X1     <= 'Z';
      Y      <= 'Z';
      Y0     <= 'Z';
      Y1     <= 'Z';
      ENABLE <= '0';
      wait for 100 ns;
      
      X0 <= '1';
      X1 <= '0';
      
      Y0 <= '1';
      Y1 <= '0';
      
      wait for 100 ns;
      
      X0 <= '0';
      X1 <= '1';
      
      Y0 <= '0';
      Y1 <= '1';

      ENABLE <= '1';
      wait for 100 ns;
      
      X0 <= '1';
      X1 <= '0';
      
      Y0 <= '1';
      Y1 <= '0';
      
      wait for 100 ns;
      
      X0 <= '0';
      X1 <= '1';
      
      Y0 <= '0';
      Y1 <= '1';
      wait;
      
   end process;


   dffd_1 : dffd
      port map
      (
         Y		 => Y,
         X		 => X,
         X0		 => X0,
         X1		 => X1,
         Y0		 => Y0,
         Y1     => Y1,
         ENABLE => ENABLE
      );

end;