--------------------------------------------------------------------------------
-- Company: 
-- Engineer:
--
-- Create Date:    05:27:20 10/22/05
-- Design Name:    
-- Module Name:    dffd - Behavioral
-- Project Name:   
-- Target Device:  
-- Tool versions:  
-- Description:
--
-- Dependencies:
-- 
-- Revision:
-- Revision 0.01 - File Created
-- Additional Comments:
-- 
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity dffd is
   PORT
   (
      Y		 : INOUT STD_LOGIC; --  Y  : INOUT STD_LOGIC; geht nicht
      X		 : INOUT STD_LOGIC; --  X  : INOUT STD_LOGIC;
      X0		 : INOUT STD_LOGIC; -- X0   : INOUT STD_LOGIC;
      X1		 : INOUT STD_LOGIC; -- X1   : INOUT STD_LOGIC;
      Y0		 : INOUT STD_LOGIC; -- Y0   : INOUT STD_LOGIC;
      Y1     : INOUT STD_LOGIC; -- Y1   : INOUT STD_LOGIC;
      ENABLE : IN STD_LOGIC
   );

end dffd;

architecture Behavioral of dffd is

begin

   Y0 <= 'Z';
   Y1 <= 'Z';
   X0 <= 'Z';
   X1 <= 'Z';     
   
   PROCESS (enable,X0,X1,Y0,Y1)           
   BEGIN                    
   
      IF  enable = '1' THEN    
         X  <= X1;
         Y  <= Y1;
      ELSE  
         X  <= X0;
         Y  <= Y0;
      END IF;
         
   END PROCESS;

end Behavioral;